# Gimp.Brush

    const Gimp = imports.gi.Gimp;

    let brush = new Gimp.Brush();

Installable object used by painting and stroking tools.

## Hierarchy

- GObject.Object
  - Gimp.Resource
    - Gimp.Brush

## Constructors

- Gimp.Brush.new

## Methods

- Gimp.Brush.prototype.get_angle
- Gimp.Brush.prototype.get_aspect_ratio
- Gimp.Brush.prototype.get_buffer
- Gimp.Brush.prototype.get_hardness
- Gimp.Brush.prototype.get_info
- Gimp.Brush.prototype.get_mask
- Gimp.Brush.prototype.get_radius
- Gimp.Brush.prototype.get_shape
- Gimp.Brush.prototype.get_spacing
- Gimp.Brush.prototype.get_spikes
- Gimp.Brush.prototype.is_generated
- Gimp.Brush.prototype.set_angle
- Gimp.Brush.prototype.set_aspect_ratio
- Gimp.Brush.prototype.set_hardness
- Gimp.Brush.prototype.set_radius
- Gimp.Brush.prototype.set_shape
- Gimp.Brush.prototype.set_spacing
- Gimp.Brush.prototype.set_spikes

## Static Functions

- Gimp.Brush.get_by_name